# Brand spanking new Anki Pack
Hi, do you want to build a new Anki pack? You can start with this repository!

## First-time setup for a new project
Create a
[new project](https://gitlab.phaidra.org/projects/new?namespace_id=2286#import_project)
in the _Anki Packs_ namespace and choose _Repository by URL_ with this repo:
```
https://gitlab.phaidra.org/kartenaale/templates/anki-pack.git
```

This step will also clone this README. You can change it later to remove this
section and tell your users something about your pack instead.

Next, enable Gitlab CI for your project. With this feature, your new content
will produce Anki packages on Merge Requests and on the main branch. To enable,
open _Settings_ in the new Gitlab project and expand
_Visibility, project features, permissions_. _CI/CD_ under _Repository_ should
be _enabled_. Customize Merge Requests and other settings to your liking (
_Pipelines must succeed_ is highly recommended).

## Importing the pack to your phone
Open the [releases section](-/releases) and click _Browse all APKGS…_.  There,
click an APKG, download it, and import into Anki.

## Contributing
To add new content to this pack, add subfolders to `content/` with a
`.apkg-spec.yaml` file in it, and data in the form of CSV, images or APKGs.

You can use the content in the starter template as your basis or just have a
look to see how it works:
* [content/Facts-from-CSV](https://gitlab.phaidra.org/kartenaale/templates/anki-pack/-/tree/main/content/Facts-from-CSV) for Q/A cards imported from a CSV file,
* [content/Bijection-from-Images](https://gitlab.phaidra.org/kartenaale/templates/anki-pack/-/tree/main/content/Bijection-from-Images) for two cards, one to remember the image and one to remember the label in the filename.

To get your changes back into the repository and test them, create a new branch
with your changes and open a merge request. Check the APKGs in the CI/CD build
job on the MR and if you are happy, merge to main.

### Releasing a new version
Bump the version number in `package.json` and merge the pull request.

A new release will be created in the [releases section](-/releases) of the
project and the kartenaale whatsapp group will be notified (if you go to the
CI/CD job and link with your Whatsapp to send out the notification - restart
the job if necessary).
